Skip to content

Get product location prices

GET
/merchants/{merchantCode}/productLocationPrices
curl --request GET \
--url 'https://catalog.shopgate.io/v1/merchants/example/productLocationPrices?limit=1000&offset=0&omitTotalItemCount=false'

Get product location prices

merchantCode
required
string
<= 255 characters
catalogCode
string
<= 255 characters
filters
string format: json

Filter string. Supported filters:

  • productCode
  • locationCode
limit
integer
default: 1000 >= 1 <= 1000

The limit of entries of one page

offset
integer
0

The offset where to start the page

after
string

The cursor after which the next entries will be queried; on routes supporting limit/offset and cursor pagination, offset will be ignored when after is set

omitTotalItemCount
boolean

Omit totalItemCount from meta object

sort
string

Sorting of the products (sequenceId only works with filter catalogCode)

Returns product location prices

Media typeapplication/json
object
meta

On routes supporting limit/offset and cursor pagination, offset will be ignored when after is set; however, both fields will always be present in the response

object
limit
number
offset
number
cursors

A base64 string or null if the result is empty

object
after
string
totalItemCount
number
productLocationPrices
Array
object
productCode

Human readable code of the entity

string
>= 1 characters <= 255 characters
locationCode

Human readable code of the entity

string
>= 1 characters <= 255 characters
properties
object
externalUpdateDate
null | string format: date-time
cost

The actual cost for the merchant

null | number
price
required

Price for the shopper

number
unit

Unit the price applies to (pieces, kg, packs)

null | string
salePrice

Sale price

null | number
msrp

Manufacturer’s suggested retail price

null | number
minPrice

Lowest possible price (configurable product)

number
maxPrice

Highest possible price (configurable product)

number
volumePricing
Array<object>
object
minQty
required
null | number
maxQty
required
null | number
price
required

Price of the tier

number
salePrice

Sale price of the tier

null | number
unit
null | string
<= 30 characters
priceType
required

Fixed price, or relative to the standard price

string
Allowed values: fixed relative
mapPricing
Array<object>
object
startDate
null | string format: date-time
endDate
null | string format: date-time
price
required
number
currencyCode
required
string
Allowed values: AED AFN ALL AMD ANG AOA ARS AUD AWG AZN BAM BBD BDT BGN BHD BIF BMD BND BOB BOV BRL BSD BTN BWP BYN BZD CAD CDF CHE CHF CHW CLF CLP CNY COP COU CRC CUC CUP CVE CZK DJF DKK DOP DZD EGP ERN ETB EUR FJD FKP GBP GEL GHS GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LYD MAD MDL MGA MKD MMK MNT MOP MRU MUR MVR MWK MXN MXV MYR MZN NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR RON RSD RUB RWF SAR SBD SCR SDG SEK SGD SHP SLL SOS SRD SSP STN SVC SYP SZL THB TJS TMT TND TOP TRY TTD TWD TZS UAH UGX USD USN UYI UYU UYW UZS VES VND VUV WST XAF XAG XAU XBA XBB XBC XBD XCD XDR XOF XPD XPF XPT XSU XTS XUA XXX YER ZAR ZMW ZWL
pricePerMeasureUnit

The base price per unit of the item if applicable; based on the unit / unitValue and unitRefPriceUom / unitRefPriceValue fields of the product.

null | number
<= 50 characters
Example
{
"meta": {
"limit": 1,
"cursor": {
"after": "1b"
},
"totalItemCount": 2
},
"productLocationPrices": [
{
"productCode": "someCode",
"locationCode": "someCode",
"externalUpdateDate": "2018-12-15T00:00:23.114Z",
"cost": 2.55,
"price": 3.5,
"unit": "kg",
"salePrice": 3,
"msrp": 4.5,
"minPrice": 3,
"maxPrice": 7.5,
"volumePricing": [
{
"minQty": 1,
"maxQty": 2,
"price": 6.4,
"salePrice": 5,
"unit": "kg",
"priceType": "fixed"
}
],
"mapPricing": [
{
"startDate": "2018-12-12T14:27:23.114Z",
"endDate": "2018-12-15T00:00:23.114Z",
"price": 10.1
}
],
"currencyCode": "AED",
"pricePerMeasureUnit": 1.5
}
]
}

Validation error

Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName

The parameter-field, that failed to validate, like “userId”

string
paramValue

The value, that was sent, like “xxx”

null | string | number | array | object
code

Machine readable error code

string
Allowed values: SCHEMA_VALIDATION_FAILED VALIDATION_FAILED ENUM_MISMATCH MAXIMUM MAXIMUM_EXCLUSIVE MINIMUM MINIMUM_EXCLUSIVE MULTIPLE_OF ARRAY_LENGTH_LONG ARRAY_LENGTH_SHORT ARRAY_ADDITIONAL_ITEMS ARRAY_UNIQUE MAX_LENGTH MIN_LENGTH MAX_PROPERTIES MIN_PROPERTIES OBJECT_MISSING_REQUIRED_PROPERTY OBJECT_PROPERTIES_MAXIMUM OBJECT_PROPERTIES_MINIMUM OBJECT_ADDITIONAL_PROPERTIES OBJECT_DEPENDENCY_KEY ONE_OF_MISSING ONE_OF_MULTIPLE NOT_PASSED INVALID_FORMAT INVALID_TYPE UNKNOWN_FORMAT PATTERN
message
required

Human readable error code

string
results
object
errors
Array<object>
object
code

Machine readable error code

string
Allowed values: ENUM_MISMATCH MAXIMUM MAXIMUM_EXCLUSIVE MINIMUM MINIMUM_EXCLUSIVE MULTIPLE_OF ARRAY_LENGTH_LONG ARRAY_LENGTH_SHORT ARRAY_ADDITIONAL_ITEMS ARRAY_UNIQUE MAX_LENGTH MIN_LENGTH MAX_PROPERTIES MIN_PROPERTIES OBJECT_MISSING_REQUIRED_PROPERTY OBJECT_PROPERTIES_MAXIMUM OBJECT_PROPERTIES_MINIMUM OBJECT_ADDITIONAL_PROPERTIES OBJECT_DEPENDENCY_KEY ONE_OF_MISSING ONE_OF_MULTIPLE NOT_PASSED INVALID_FORMAT INVALID_CREDENTIALS INVALID_TYPE UNKNOWN_FORMAT PATTERN
message

Human readable error code

string
description
string
path
Array<string>
warnings
array
Example
{
"error": {
"code": "SCHEMA_VALIDATION_FAILED",
"results": {
"errors": [
{
"code": "MAX_LENGTH",
"message": "Name too long",
"description": "Property Name is too long",
"path": [
"name"
]
}
]
}
}
}

Merchant not found

Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{
"code": "NotFound",
"message": "Merchant not found"
}